unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, Spin, StdCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    procedure FormCreate(Sender: TObject);
    procedure NewValue(Sender: TObject);
    procedure Reset(Sender: TObject);
  private
    Labels    : array [0..2] of TLabel;
    SpinEdit  : array[0..1] of TSpinEdit;
    ValueH    : string;
    ValueHE   : string;
    Button    : TButton;
  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }


procedure TForm1.FormCreate(Sender: TObject);
var lv : integer;
begin
 caption := 'Chemie-Rechner';
 setbounds(300,200,475,200);

 for Lv:=0 to 1 do
  begin
    Labels[lv]             := TLabel.Create(self);
    Labels[lv].Parent      := self;
    Labels[lv].AutoSize    := false;
    Labels[lv].Left        := 25+(lv*150);
    Labels[lv].Top         :=  30;
    Labels[lv].Width       := 100;
    Labels[lv].Height      :=  30;
  end;
    Labels[0].Caption := 'Wasserstoff';
    Labels[1].Caption := 'Helium';

 for Lv:=0 to 1 do
  begin
    SpinEdit[lv]             := TSpinEdit.Create(self);
    SpinEdit[lv].Parent      := self;
    SpinEdit[lv].Left        := 25+(lv*150);
    SpinEdit[lv].Top         :=  55;
    SpinEdit[lv].Width       := 100;
    SpinEdit[lv].Height      :=  30;
    SpinEdit[lv].OnChange    := @NewValue;
  end;

 Labels[2]             := TLabel.Create(self);
 Labels[2].Parent      := self;
 Labels[2].AutoSize    := false;
 Labels[2].Left        := 325;
 Labels[2].Top         :=  55;
 Labels[2].Width       := 100;
 Labels[2].Height      :=  30;
 Labels[2].Caption     := '';
 Labels[2].Color       := clWhite;
 Labels[2].Alignment   := tacenter;
 Labels[2].Font.Height := 18;

 Button                := TButton.Create(self);
 Button.Parent         := self;
 Button.SetBounds(25,100,400,25);
 Button.Caption        := 'Reset';
 Button.OnClick        := @Reset;

 ValueH  := 'H';
 ValueHE := 'HE';
end;

procedure TForm1.NewValue(Sender: TObject);
begin
 if Sender = SpinEdit[0] then   //H
  begin
   ValueH := 'H' + inttostr(SpinEdit[0].Value);
   if SpinEdit[0].Value = 0 then ValueH  := 'H';
  end;

 if Sender = SpinEdit[1] then   //HE
  begin
   ValueHE := 'HE'+ inttostr(SpinEdit[1].Value);
   if SpinEdit[1].Value = 0 then ValueHE := 'HE';
  end;

 Labels[2].Caption := ValueH + ValueHE;
end;

procedure TForm1.Reset(Sender: TObject);
begin
 SpinEdit[0].Value := 0;
 SpinEdit[1].Value := 0;
 Labels[2].Caption := ''
end;

end.

